$Laufwerke = $(Get-PSDrive | where {$_.Free}).Name

Write-Host "Laufwerke: " $Laufwerke

$Pfad = "R:\m.kraft\Excel Werte ändern\"
Write-Host "Pfad: " $Pfad
$AktuelleUnterordner = Get-ChildItem $Pfad -Directory
$AktuelleTxtDateien = $(Get-ChildItem $Pfad\*.txt)

if ($AktuelleTxtDateien.length -gt 0)
{
    $AktuelleTxtDateien = $(Split-Path $AktuelleTxtDateien -Leaf)
}

Write-Host "Unterordner: " $AktuelleUnterordner
Write-Host "Dateien: " $AktuelleTxtDateien

<#
Schleife 1: Solange aktiv, bis Verzeichniswahl auf true ist
    Schleife 2: (In Schleife 1) SOlange aktiv, bis Ordnerwahl auf true ist

Oder:
[bool] $DateiauswahlAktiv = $true, bis eine Datei gewählt ist. Auch mit 2 Schleifen.
#>
# Start